unit FoundU;

// Copyright  1999 by Ziff-Davis, Inc.
// Written by Neil J. Rubenking

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ComCtrls;

type
  TFoundForm = class(TForm)
    ListBox1 : TListBox;
    Panel1   : TPanel;
    btnOK    : TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure SetData(const fName, Capn : String);
  end;

var
  FoundForm: TFoundForm;

implementation
USES AllFuncs;
{$R *.DFM}

procedure TFoundForm.FormCreate(Sender: TObject);
begin
  GetPosFmEXEName(Application.ExeName, Self, False);
end;

procedure TFoundForm.FormDestroy(Sender: TObject);
begin
  SetPosToEXEName(Application.ExeName, Self, False);
end;

procedure TFoundForm.SetData(const fName, Capn: String);
VAR N, W, Wid : Integer;
begin
  ListBox1.Items.LoadFromFile(fName);
  Wid := 0;
  FOR N := 0 TO ListBox1.Items.Count-1 DO
    begin
      W := Canvas.TextWidth(ListBox1.Items[N]);
      IF W > Wid THEN Wid := W;
    end;
  ListBox1.Perform(LB_SETHORIZONTALEXTENT, Wid, 0);
  Caption := Format('Files for "%s"', [Capn]);
end;

end.
